/*
Author:      metropplitanthemes
Theme Name:  Applio Child Theme
Author URI:  https://www.templatemonster.com/authors/metropplitanthemes/
Theme URI:   http://metropolitanhost.com/themes/templatemoster/wp/applio/
Version:     1.0.0
Description: Applio - Mobile APP WordPress Theme
License:     GNU General Public License version 3.0
Text Domain: applio-child
Template:    applio
License URI: http://www.gnu.org/licenses/gpl-3.0.html
Domain Path: /languages
Tags:        one-column, two-columns, right-sidebar, custom-logo, custom-menu, threaded-comments, translation-ready, left-sidebar, custom-background, custom-colors, custom-header, featured-images, sticky-post
*/

/* NOTE: Main theme's style.css file is already added in head tag. /*

/* =Theme customization starts here
-------------------------------------------------------------- */

p a {color:#10C1EB;}
p a:hover {text-decoration:underline;color:#10C1EB;}
.txt-bigger p {font-size:16px;line-height:1.5em;}
.home section.elementor-section .elementor-widget-wrap h4.elementor-heading-title {font-size:22px;}
section.elementor-section .elementor-testimonial .elementor-testimonial__content .elementor-testimonial__text {font-size:16px;}
.w-block a.elementor-button {display:block;width:100%;}

/* ------------------------------------------ */
/* --------------- [ FORMS ] ---------------- */
/* ------------------------------------------ */

.wpcf7 form .wpcf7-response-output, .wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output, .wpcf7 form.payment-required .wpcf7-response-output {color:#fff;margin:0 auto;padding:1em;}
.elementor-section-wrap .contentarea form.wpcf7-form.init .wpcf7-submit {display:block!Important;}

/* General */
.gform_confirmation_wrapper {line-height:2em;}
.gform_wrapper .gform_body {margin:0;padding:0;list-style:none;}
.gform_wrapper .gform_body fieldset {border:0 none;}
.gform_wrapper .gform_body .gfield {margin:0 0 24px 0;background:none;padding:0;}
.gform_wrapper .ginput_complex label, .gform_wrapper .gform_body .gfield > label, .gform_wrapper .gform_body .gfield > .gfield_label {display:block;font-weight:bold;margin:0 0 8px 0;color:#fff;font-size:18px;}
.gform_wrapper .gform_body .gfield .screen-reader-text,  .gform_wrapper .gform_body .gfield .gfield_description {display:block;font-size:14px;margin:8px 0;}
.gform_wrapper .gform_body .gfield.hidden_label > label, .gform_wrapper .gform_body .gfield.hidden_label > legend {display:none;color:#fff;}
.gform_wrapper .gform_body .gfield_html {margin:0;}
.gform_wrapper .gform_footer {text-align:left;margin-top:1em;position:relative;display:inline-block;}
.gform_wrapper .gform_footer img.gform_ajax_spinner {position:absolute;top:50%;transform:translateY(-50%);left:125px;}

/* Columns */
.gform_wrapper .gform_body .gfield--width-half {display:inline-block;width:50%;}
.gform_wrapper .gform_body .gfield--width-half.first {padding-right:0.5%;}
.gform_wrapper .gform_body .gfield--width-half.last {padding-left:0.5%;}
.gform_wrapper .gform_body .gfield--width-third {display:inline-block;width:33.33333333%;}
.gform_wrapper .gform_body .gfield--width-third.first {padding-right:0.5%;}
.gform_wrapper .gform_body .gfield--width-third.mid {padding-left:0.5%;padding-right:0.5%;}
.gform_wrapper .gform_body .gfield--width-third.last {padding-left:0.5%;}

/* Inputs */
.gform_wrapper .gform_body .gfield input[type="tel"], 
.gform_wrapper .gform_body .gfield input[type="email"], 
.gform_wrapper .gform_body .gfield input[type="text"], 
.gform_wrapper .gform_body .gfield select, 
.gform_wrapper .gform_body .gfield textarea {background:#fff;margin:0;padding:12px;border:0 none;width:100%;display:block;color:#000;border:1px solid transparent;transition:border 0.2s;border-radius:5px;}
.gform_wrapper .gform_body .gfield select {padding:9px 10px;background: url('images/select.png') no-repeat center right;}
.gform_wrapper .gform_body .ginput_container_consent {display:flex;flex-wrap:nowrap;}
.gform_wrapper .gform_body .gfield checkbox {}
.gform_wrapper .gform_body .gfield .gfield_consent_label {}
.gform_wrapper .gform_body .gfield .gfield_radio, 
.gform_wrapper .gform_body .gfield .gfield_checkbox {margin:0;padding:0;}
.gform_wrapper .gform_body .gfield .gfield_radio input, 
.gform_wrapper .gform_body .gfield .gfield_checkbox input {margin-right:5px;}
.gform_wrapper .gform_body .gfield .gchoice label {cursor:pointer;}

/* iOS Adjustment */
.gform_wrapper select {border-radius:0;-webkit-appearance:none;background:url('images/select.png') no-repeat center right;background-size:auto 25%;}
.ginput_container_select {position:relative;}

/* Adjust */
.gform_wrapper .gform_body .gfield .ginput_container_date {position:relative;}
.gform_wrapper .gform_body .gfield .ginput_container_date input {display:block;width:100%;padding-right:36px;}
.gform_wrapper .gform_body .gfield .ginput_container_date .ui-datepicker-trigger {position:absolute;top:12px;right:8px;cursor:pointer;}
.gform_wrapper .gform_body .gfield .gfield_list_container {width:100%;}
.gform_wrapper .gform_body .gfield .gfield_list_container input {display:block;width:100%;}
.gform_wrapper .gform_body .gfield .ginput_container .gchoice {display:block;width:100%;margin:0 0 5px 0;}
.gform_wrapper .gform_body .gfield .ginput_container .gchoice:last-child {margin:0;}

/* Focus */
.gform_wrapper .gform_body .gfield input[type="tel"]:focus,
.gform_wrapper .gform_body .gfield input[type="email"]:focus,
.gform_wrapper .gform_body .gfield input[type="text"]:focus,
.gform_wrapper .gform_body .gfield textarea:focus, 
.gform_wrapper .gform_body .gfield select:focus {border-color:#5D87A1;transition:border 0.2s;}

/* Validation */
.gform_wrapper .gform_validation_errors {font-size:14px;margin:0 0 1em 0;background:#ff4242;padding:8px;color:#fff;}
.gform_wrapper .gform_validation_errors h2 {font-size:14px;margin:0;color:#fff;text-align:center;}
.gform_wrapper .gform_body .gfield .gfield_description.validation_message {font-size:12px;padding:5px;color:#fff;background:#ccc;background:#ff4242;margin:0;border-radius:0 0 5px 5px;}
.gform_wrapper .gform_body fieldset.gfield .gfield_description.validation_message {margin-top:0;}
.gform_wrapper .gform_body .gfield_error label {color:#ff4242;}
.gform_wrapper .gform_body .gfield_error input[type="tel"],
.gform_wrapper .gform_body .gfield_error input[type="email"],
.gform_wrapper .gform_body .gfield_error input[type="text"],
.gform_wrapper .gform_body .gfield_error textarea, 
.gform_wrapper .gform_body .gfield_error select {border-color:#ff4242;border-radius:5px 5px 0 0;}
.gform_required_legend {color:#ff4242;text-align:center;}
.gform_wrapper .gfield_required_asterisk {color:#ff4242;margin-left:3px;display:inline-block;}

/* Columns */
.ginput_complex.ginput_container_name {display:flex;flex-wrap:wrap;align-items:stretch;justify-content:space-between;}
.ginput_complex .name_first {width:48%;}
.ginput_complex .name_last {width:48%;}

/* Buttons */
.gform_wrapper form .gform_footer {width:100%;display:block;}
.gform_wrapper form .gform_footer input {width:100%;display:block;background:#10C1EB;}
.gform_wrapper form .gform_footer input:hover {background:#000;}
.full-width a {display:block;width:100%;}

/* Captcha */
.gfield.captcha .gfield_description {color:#fff;font-size:12px;margin:0;}
.gfield.captcha .gfield_description a {color:#fff;text-decoration:underline;}

/* Elementor */
.elementor-location-footer .elementor-widget-container p b {color:#fff;}
.elementor-1655 .elementor-element.elementor-element-78da522e .e-add-posts-container.e-add-skin-grid .e-add-wrapper-grid {display: flex;flex-wrap: wrap;}

/* bug icone... vedere se è meglio importare la libreria "awesome 5" */
/*.fa,.fab,.fad,.fal,.far,.fas{
    font-family:"Font Awesome 5 Free";
    font-style:normal;
    font-weight:400;
    font-display:auto;
    -moz-osx-font-smoothing:grayscale;
    -webkit-font-smoothing:antialiased;
    display:inline-block;
    font-style:normal;
    font-variant:normal;
    text-rendering:auto;
    line-height:1
}*/

